Bug 145611 - CRASH: Inserting page breaks and undoing
Summary: CRASH: Inserting page breaks and undoing
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Attila Szűcs
URL:
Whiteboard: target:7.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-11-10 09:56 UTC by Xisco Faulí
Modified: 2021-11-18 08:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
gdb backtrace, running with SAL_USE_VCLPLUGIN=gen make debugrun (8.68 KB, text/plain)
2021-11-10 11:04 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-11-10 09:56:49 UTC
Steps to reproduce:
1. Open attachment 105510 [details] from bug 83312
2. Hold Ctrl + Return for a few seconds
3. Hold Ctrl + Z for a few seconds

-> Crash

Reproduced in

Version: 7.3.0.0.alpha1+ / LibreOffice Community
Build ID: 5e9c2677e8fcd19b289d947b94ceba52b138728b
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2021-11-10 09:58:15 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=4c31b4ef2083087a822c3ae648fd09acc67d2f88

author	Attila Szűcs <szucs.attila3@nisz.hu>	2021-09-08 15:51:16 +0200
committer	László Németh <nemeth@numbertext.org>	2021-11-02 16:31:24 +0100
commit	4c31b4ef2083087a822c3ae648fd09acc67d2f88 (patch)
tree	9dd046549b87431e4cab702cb183b54390908898
parent	83298077a4cd577860e2114b429a2d413c3ea10c (diff)
tdf#139336 sw: fix extra pages of multicolumn sections with footnotes

Bisected with: bibisect-linux64-7.3

Adding Cc: to Attila Szűcs
Comment 2 László Németh 2021-11-10 11:04:17 UTC
Created attachment 176175 [details]
gdb backtrace, running with SAL_USE_VCLPLUGIN=gen make debugrun
Comment 3 László Németh 2021-11-10 11:08:08 UTC
Xisco: I was able to confirm the problem, using SAL_USE_VCLPLUGIN=gen on Linux. Thanks for the bug report!
Comment 4 Commit Notification 2021-11-12 14:44:09 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9fdb9c5fd71e61ae673c79064e3249ce7207031a

tdf#145611 sw: fix regression: undoing page breaks

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 BogdanB 2021-11-17 19:50:52 UTC
Attila you could mark this bug as resolved.

I have verified, it is ok in
Version: 7.3.0.0.alpha1+ / LibreOffice Community
Build ID: fcad2503ede92b515076f9bb3162855dcc2c575d
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded